#Verifying ELF objects in /usr/src/tmp/libglan-buildroot (rpath=relaxed,textrel=normal)
#verify-elf: ./usr/bin/GlanLik: RPATH entry contains "/usr/src/RPM/BUILD": /usr/src/RPM/BUILD/Glan-0.2.7/libs
#verify-elf: ./usr/bin/GlanStartServer: RPATH entry contains "/usr/src/RPM/BUILD": /usr/src/RPM/BUILD/Glan-0.2.7/libs

Name: libglan
Version: 0.3
Release: alt0.1

Summary: Toolkit for developing network GUI applications

License: GPL
Group: System/Libraries
Url: http://glan.sourceforge.net/

Packager: Vitaly Lipatov <lav@altlinux.ru>

#Source: http://dl.sf.net/kalpa/Glan-%version.tar.bz2
Source: http://kalpa.ru/downloads/Glan-%version.tar.bz2
Patch: %name-as-needed.patch

# Automatically added by buildreq on Mon May 22 2006
BuildRequires: fontconfig gcc-c++ libqt4-devel libqt4-gui libqt4-network libqt4-sql libqt4-xml qt4-settings

%description
Glan is a toolkit for developing network GUI applications. It consists of
a remote Qt toolkit, a network (client-server) wrapper for Qt classes,
and a Qt-based Application Server development platform for creating GUI
oriented client-server applications. It allows the developer to just
write code using the Qt programming style for the server side and forget
about the client side.

%description -l ru_RU.KOI8-R
Glan -   - . 
  ,     QT,   
.  Glan  Glan-   .

%package devel
Summary: Development tools for programs which uses Glan
Group: Development/C
Requires: %name = %version

%description devel
Development tools for programs which uses Glan

%package server
Summary: Glan Server Library
Group: System/Libraries

%description server
Glan Server Library

%prep
%setup -q -n Glan-%version
%patch

%build
export QTDIR=/%_libdir/qt4
export PATH=$QTDIR/bin:$PATH

# build with debug library
#subst "s|release|debug|g" `find ./ -name "*.pro"`
# fix broken linking
find Source/Apps -name "*.pro" | xargs %__subst "s|.*RPATH.*||g"
export LD_LIBRARY_PATH=../../../libs
qmake -unix
make

%install
find -name "Makefile" | xargs %__subst "s|/opt/Kalpa/libs|%_libdir|g"
find Source/Apps -name "Makefile" | xargs %__subst "s|/opt/Kalpa|%_bindir|g"
#find Source/Apps -name "Makefile" | xargs %__subst "s|-Wl.*||g"
%make_install INSTALL_ROOT=%buildroot install

mkdir -p %buildroot%_includedir/%name
find Source/Libs/Glan{Client,Lib,Server} -name "*.h" |
	xargs -i{} install -m 644 {} %buildroot%_includedir/%name

# install, preserving links
#chmod 644 Libs/lib/*
#for n in Libs/lib/* ; do
#    cp -d $n %buildroot%_libdir
#done
rm -rf %buildroot/opt

%post
%post_ldconfig

%postun
%postun_ldconfig

%files
%_bindir/*
%_libdir/lib*.so.*

%files devel
%_includedir/%name
%_libdir/libGlanClient*.so
%_libdir/libGlanLib*.so

%files server
%_libdir/libGlanServer*.so

%changelog
* Sun May 21 2006 Vitaly Lipatov <lav@altlinux.ru> 0.3-alt0.1
- new version 0.3
- fix as-needed problem

* Tue Feb 14 2006 Vitaly Lipatov <lav@altlinux.ru> 0.2.8-alt0.1
- new version

* Tue Jan 03 2006 Vitaly Lipatov <lav@altlinux.ru> 0.2.7-alt0.1
- new version

* Tue Nov 01 2005 Vitaly Lipatov <lav@altlinux.ru> 0.2.6-alt0.1
- new version

* Thu Sep 08 2005 Vitaly Lipatov <lav@altlinux.ru> 0.2.1-alt0.1
- first build for ALT Linux Sisyphus
